设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 675|回复: 0

[LISP函数]: 删除炸开后文字中多余的线

[复制链接]

已领礼包: 4个

财富等级: 恭喜发财

发表于 2009-4-10 23:16:17 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
请大家帮忙改错,谢谢
;;luyu9635 2009.04.09
;;删除炸开后的文本中多余的线
(defun c:te()
  (setq        ss  (ssget) plist'() i 0)
  (setvar 'osmode 0)
  (repeat (sslength ss)
    (setq en (ssname ss i))
    (setq plist (append plist (list (dxf 10 en) (dxf 11 en))));;求直线端点集
    (setq i (1+ i))
  )
(foreach n plist (mapcar'(lambda(x)(setq po(mid n x));求点集中任意两点间的中点
                            (if(and(not(member po plist));如果中点不在端点集中且过此点有两条以上直线
                                   (>= (sslength(setq pon(ssget "c" po po))) 2))
                               (command "erase" pon "");删除多余的线
                              )
                            )
                            (vl-remove n plist)
                 )
)
(setvar 'osmode 1)
(princ)
)

;;;
(defun dxf(n ename)
  (cdr (assoc n (entget ename)))
)
;;;
(defun mid(a b);;求中点
  (polar a (angle a b) (/ (distance a b) 2))
  )
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2020-1-29 15:21 , Processed in 0.070920 second(s), 20 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表